:root {
	/* I DON'T GIVE A SHIT ABOUT LIGHT MODE  */
	--bg:           black;
	--bg-light:     #111111;
	--text:         white;
	--primary:      #1DCD9F;
	--secondary:    #169976;
	--border-width: 0.1rem;
}

* {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

html {
	height: 100%;
	width:  100%;
}

body {
	min-height:     100vh;
	max-height:     100vh;

	width:            100%;
	padding:          2rem 1rem;
	background-color: var(--bg);

	display: grid;
    grid-template-columns: minmax(0, 1fr) minmax(0, 1fr) 20%;
	grid-template-rows:    4rem minmax(0, 1fr) minmax(0, 1fr) minmax(0, 1fr);

	gap: 1.5rem;
}

h1, h2, h3, h4, h5, p, li {
	font-family: "Inter", Arial, sans-serif;

	color: var(--text);
	font-weight: normal;
    text-decoration: none;
}

a {
	color: var(--primary);
}

h1#title {
	grid-row: 1;
	grid-column: 1/3;
	box-shadow: inset 0px calc(-1 * var(--border-width)) 0px 0px var(--primary) ;
}

body div {
	background-color: var(--bg-light);
	padding: 10px 10px 10px 10px;
}

div.chart {
	padding: 20px 10px 10px 10px;
}

div.chart h1 {
	justify-self: start; 
	text-align: center;
	font-weight: bold;
	color: var(--primary);
	padding-top: 0.6rem;
	height: 40%;
}

div.chart h2 {
	justify-self: start; 
	text-align: center;
	height: 40%;
}

div#chart1 {
	grid-row: 2;
	grid-column: 1;
}

div#chart2 {
	grid-row: 2/4;
	grid-column: 2;
}

div#chart3 {
	grid-row: 3/5;
	grid-column: 1;
}

div#chart4 {
	grid-row: 4;
	grid-column: 2;
}

form {
	background-color: var(--bg-light);

	grid-row: 2;
	grid-column: 3;

	display: flex;
	flex-direction: column;

	align-items: center;
	justify-content: space-evenly;
}

form div {
	display: flex;
	flex-direction: column;
	align-items: center;
	row-gap: 1rem;

	width: 60%;
	overflow: scroll;
}

form div label {
	width: fit-content;
	font-size:   1.5rem;
	color: var(--text);
	font-family: "Inter", Arial, sans-serif;
}

form div select {
	width: 100%;
	border: 2px solid var(--primary);
	background: var(--bg-light);
	color:      var(--text);
	font-size:   1rem;
	padding: 10px;
	transition: 0.4s;
}


div#contacts {
	display: flex;
	flex-direction: row;
	justify-content: space-evenly;
	align-items: center;
}

div#contacts a {
	height: 80%;
	cursor: pointer;
}

div#contacts a img {
	height: 100%;
}

div#contacts a img:hover {
	/* claude is a chad */
	filter: invert(0.46) sepia(1) saturate(3.5) hue-rotate(118deg);
}

div#tail {
	grid-row: 3/5;
	grid-column: 3;
	overflow: scroll;
}

div#tail h2 {
	width: 100%;
	text-align: center;
	padding-top: 10px;
}

div#tail ul li {
	list-style-position: inside;
	margin-bottom: 1rem;
}
